/**
 * Created by z on 2016/7/20.
 */
$(function() {
    //本地测试数据
    //var TRAIN_REQUEST_BASE_URL = "http://42.159.29.181:8083";
    //var param = {
    //    "userID": "9dc8527f78a74556bf80a58bf12596aa",
    //    "token": "620124983f6a426ead86a16990b63dfe",
    //    "orderId":1468581775780,
    //    "platform": "ios"
    //}
    //var paramStr = JSON.stringify(param);
    //var data = { "param": paramStr };
    //本地测试数据结束
    var ordersDetail = JSON.parse(window.wangfanApp.getOrdersDetailInfo());
    var TRAIN_REQUEST_BASE_URL = $.trim(ordersDetail.TRAIN_REQUEST_BASE_URL);
    var userID = $.trim(ordersDetail.userID);
    var token = $.trim(ordersDetail.token);
    var orderId = $.trim(ordersDetail.orderId);
    var platform = $.trim(ordersDetail.platform);
    var param = {
        "userID": userID,
        "token": token,
        "orderId": orderId,
        "platform": platform
    }
    var paramStr = JSON.stringify(param);
    var data = { "param": paramStr };
    var flag = true;
    $(".loading").fadeIn();
    $(".content").hide();
    $.ajax({
        "type": "post",
        "url": TRAIN_REQUEST_BASE_URL + "/api/web/v1/order/getallorderinfo",
        dataType: "jsonp",
        jsonp: "callback", //传递给请求处理程序或页面的，用以获得jsonp回调函数名的参数名(默认为:callback);
        jsonpCallback: "jsonpCallback", //自定义的jsonp回调函数名称，默认为jQuery自动生成的随机函数名;
        data: data,
        timeout: 10000,
        statusCode:{
            0:function(){
                $(".loading").fadeOut();
                $(".content").hide();
                setTimeout(function(){
                    $(".hidden").css({
                        "display":"block"
                    }).html("当前网络状况不佳，请稍后重试!");
                },1000)
            }
        },
        success: function(result) {
            $(".loading").fadeOut();
            $(".hidden").hide();
            console.log(result);
            var order_info_item = result.data.order_info[0];
            var passengers = order_info_item.passengers;
            //请求接口得到全程时长
            var str = "";
            trainLineInfo();

            function trainLineInfo() {
                var trainNum = order_info_item.trainNum;
                var trainDate = order_info_item.trainDate;
                var fromStationCode = order_info_item.fromStationCode;
                var toStationCode = order_info_item.toStationCode;
                var param = {
                    "train_date": trainDate,
                    "station_train_code": trainNum,
                    "from_station_telecode": fromStationCode,
                    "to_station_telecode": toStationCode,
                    "platform": "ios"
                }
                var paramStr = JSON.stringify(param);
                var data = { "param": paramStr };
                $.ajax({
                    type: "post",
                    url: TRAIN_REQUEST_BASE_URL + "/api/web/v1/ticket/queryticket",
                    dataType: "jsonp",
                    jsonp: "callback",
                    jsonpCallback: "jsonpCallback",
                    data: data,
                    success: function(result) {
                        console.log(result);
                        if (result.data.length != 0) {
                            var res = result.data[0];
                            console.log(res);
                            var toHouerMinute = res.runTime;
                            //console.log(toHouerMinute);
                            var toHouerMinuteArry = toHouerMinute.split(":");
                            if (toHouerMinuteArry[0] != "00") {
                                var toHouerMinuteStr = toHouerMinuteArry[0] + "小时" + toHouerMinuteArry[1] + "分";
                            } else {
                                var toHouerMinuteStr = toHouerMinuteArry[1] + "分";
                            }
                            //console.log(toHouerMinuteStr);
                            //res.runTime = toHouerMinuteStr;
                            str = "全程" + toHouerMinuteStr + "";
                            console.log(str);
                            $("#dd").text(str);
                        }

                    },
                    error: function() {

                    }
                })
            }
            //日期转换
            Date.prototype.pattern = function(fmt) {
                var o = {
                    "M+": this.getMonth() + 1, //月份
                    "d+": this.getDate(), //日
                    "h+": this.getHours() % 12 == 0 ? 12 : this.getHours() % 12, //小时
                    "H+": this.getHours(), //小时
                    "m+": this.getMinutes(), //分
                    "s+": this.getSeconds(), //秒
                    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                    "S": this.getMilliseconds() //毫秒
                };
                var week = {
                    "0": "/u65e5",
                    "1": "/u4e00",
                    "2": "/u4e8c",
                    "3": "/u4e09",
                    "4": "/u56db",
                    "5": "/u4e94",
                    "6": "/u516d"
                };
                if (/(y+)/.test(fmt)) {
                    fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
                }
                if (/(E+)/.test(fmt)) {
                    fmt = fmt.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468") : "") + week[this.getDay() + ""]);
                }
                for (var k in o) {
                    if (new RegExp("(" + k + ")").test(fmt)) {
                        fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                    }
                }
                return fmt;
            }
            //判断当前星期几函数
            function getWeekByDay(dayValue) {
                var day = new Date(Date.parse(dayValue.replace(/-/g, '/'))); //将日期值格式化
                var today = new Array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"); //创建星期数组
                return today[day.getDay()]; //返一个星期中的某一天，其中0为星期日
            }
            var dateString = new Date(order_info_item.trainDate.replace(/-/g, '/'));
            var weekDay = getWeekByDay(dateString.pattern("yyyy-MM-dd HH:mm:ss"));
            //console.log(weekDay);
            var showDateString = dateString.pattern("yyyy年M月d日 " + weekDay + "");
            if (result.error_code == 0) {
                $(".content").show();
                //订单号展示
                $(".order-code .code").html(order_info_item.sequence_no);
                //1.车票卡片信息展示
                var card = "";
                card += "<div class='card'>";
                card += "<div class='hd clearfix'><h3>" + order_info_item['trainNum'] + "</h3><span>" + showDateString + "</span></div>";
                card += "<div class='bd clearfix'>";
                card += "<dl><dt>" + order_info_item['fromStationName'] + "</dt><dd>" + order_info_item['startTime'] + "</dd></dl>";
                card += "<dl><dt><img src='img/b-arrow.png' alt='img/b-arrow.png'/></dt><dd id='dd'></dd></dl>";
                card += "<dl><dt>" + order_info_item['toStationName'] + "</dt><dd>" + order_info_item['arriveTime'] + "</dd></dl>";
                card += "</div>"
                card += "</div>";
                $(".card-info").html(card);
                //2.乘车人列表信息展示
                var li = "";
                $(".orderDetails-list").empty();
                $.each(passengers, function(i, item) {
                    if (item.refund_flag == false) {
                        li += "<li>";
                        li += "<dl class='clearfix'><dt>" + item['passengerName'] + "</dt><dd>" + item['seatNum'] + "</dd></dl>";
                        li += "<dl class='clearfix'><dt>" + item['passportNo'] + "</dt><dd>" + item['seatName'] + "</dd></dl>";
                        li += "<dl class='clearfix'><dt>" + item['ticketTypeName'] + "</dt><dd>&yen;" + item['price'] + "</dd></dl>";
                        li += "<dl class='clearfix'><dt></dt><dd class='return-ticket-disable'>退票</dd></dl>";
                        li += "</li>";
                    } else {
                        li += "<li class='canClick'>";
                        li += "<dl class='clearfix'><dt>" + item['passengerName'] + "</dt><dd>" + item['seatNum'] + "</dd></dl>";
                        li += "<dl class='clearfix'><dt>" + item['passportNo'] + "</dt><dd>" + item['seatName'] + "</dd></dl>";
                        li += "<dl class='clearfix'><dt>" + item['ticketTypeName'] + "</dt><dd>&yen;" + item['price'] + "</dd></dl>";
                        li += "<dl class='clearfix'><dt></dt><dd class='return-ticket-avaiable'>退票</dd></dl>";
                        li += "</li>";
                    }
                })
                $(".orderDetails-list").html(li);
                //点击的退票信息传递给客户端
                $(".orderDetails-list li.canClick").click(function() {
                    var index = $(".orderDetails-list li").index(this);
                    var item = passengers[index];
                    var orderObj = {};
                    orderObj.item = item;
                    orderObj.orderId = order_info_item.orderId;
                    orderObj.trainNum = order_info_item.trainNum;
                    orderObj.fromStationCode = order_info_item.fromStationCode;
                    orderObj.fromStationName = order_info_item.fromStationName;
                    orderObj.toStationCode = order_info_item.toStationCode;
                    orderObj.toStationName = order_info_item.toStationName;
                    orderObj.startTime = order_info_item.startTime;
                    orderObj.arriveTime = order_info_item.arriveTime;
                    orderObj.trainDate = order_info_item.trainDate;
                    orderObj.sequence_no = order_info_item.sequence_no;
                    orderObj.start_full_time = order_info_item.start_full_time;
                    orderObj.order_create_time = order_info_item.order_create_time;
                    orderObj.pay_deadline_time = order_info_item.pay_deadline_time;
                    orderObj.orderStatus = order_info_item.orderStatus;
                    //window.wangfanApp.ordsItem(JSON.stringify(orderObj));  //将退票信息传给客户端；
                    window.wangfanApp.tipForReturnTicket();
                })
            }
        },
        error: function() {

        }
    })

})
