/**
 * Created by zhengfangfang on 2016/6/28.
 */
$(function() {
    //本地测试用数据
    //var TRAIN_REQUEST_BASE_URL = "http://42.159.29.181:8083";
    //var paramCheck = {
    //    "userID": "a6e22619d9e8463b986e8670d422e32f",
    //    "token": "90dcd230dd01493fa149634c3797ef12",
    //    "platform": "ios"
    //}
    //var paramcheckStr = JSON.stringify(paramCheck);
    ////alert(paramStr);
    //var data = { "param": paramcheckStr};

    //js逻辑
    var gradeInfo = JSON.parse(window.wangfanApp.getGradeInfo()); //调用客户端方法；
    var TRAIN_REQUEST_BASE_URL = $.trim(gradeInfo.TRAIN_REQUEST_BASE_URL);
    var userID = $.trim(gradeInfo.userID);
    var token = $.trim(gradeInfo.token);
    var platform = $.trim(gradeInfo.platform);
    var param = {
        "userID": userID,
        "token": token,
        "platform": platform
    }
    var paramStr = JSON.stringify(param);
    //alert(paramStr);
    var data = { "param": paramStr };
    //验证
    var flag;
    //单选框验证
    function check_radioValue() {
        var radioValue = $('input:radio[name="grade"]:checked').val();
        if (radioValue != null) {
            return true;
        }
    }
    //多选框验证
    function check_checkboxValue() {
        var checkboxesValue = $("input[type='checkbox'][name='chkName']:checked").map(function() {
            return $(this).val();
        }).get().join("/");
        if (checkboxesValue != "") {
            return true;
        }
    }
    //字数长度验证
    function check_length() {
        $("textarea").on('input', function() {
            if ($(this).val().trim().length > 200) {
                var num = $("textarea").val().substr(0, 200);
                $("textarea").val(num);
                $(".tip").show().fadeOut(2000);
                $(".tip .tip-in").html("超过200字,多出的字数将被截断!");
                return true;
            }
        });
    }
    check_length();
    $.ajax({
        type: "get",
        url: TRAIN_REQUEST_BASE_URL + "/api/web/v1/gradeinfo/check",
        dataType: "jsonp",
        jsonp: "callback", //传递给请求处理程序或页面的，用以获得jsonp回调函数名的参数名(默认为:callback);
        jsonpCallback: "jsonpCallback", //自定义的jsonp回调函数名称，默认为jQuery自动生成的随机函数名;
        data: data,
        async: false,
        success: function(result) {
            var res = result.data;
            console.log(res.finish);
            if (res.finish == true) {
                $(".sub-btn").css("background", "#A6A8AB");
                $(".sub-btn").attr("disabled", true);
                var grade_info = res.grade_info;
                var grade = grade_info.grade;
                console.log(grade);
                $(".ul1 input[value='" + grade + "']").attr("checked", true);
                $(".ul1 input[value!='" + grade + "']").attr("disabled", true);
                var checkbox = grade_info.checkbox;
                console.log(checkbox);
                var note = $.trim(grade_info.note);
                var checkboxArry = checkbox.split("/");
                console.log(checkboxArry);
                $(".ul2 input[name='chkName']").each(function() {
                    for (var i = 0; i < checkboxArry.length; i++) {
                        if ($(this).val() == "" + checkboxArry[i] + "") {
                            $(this).attr("checked", true).attr("disabled", true);
                        } else {
                            $(this).attr("disabled", true);
                        }
                    }
                });
                $("textarea").val(note).attr("disabled", true);
            } else {
                $(".sub-btn").click(function() {
                    var flag = true;
                    if (!check_checkboxValue()) {
                        //$(".loading").hide();
                        $(".tip").show().fadeOut(2000);
                        $(".tip .tip-in").html("请选择您可能需要的功能,谢谢!");
                        flag = false;
                    }
                    if (!check_radioValue()) {
                        //$(".loading").hide();
                        $(".tip").show().fadeOut(2000);
                        $(".tip .tip-in").html("请选择分数,谢谢!");
                        flag = false;
                    }
                    if (!check_radioValue() && !check_checkboxValue()) {
                        //$(".loading").hide();
                        $(".tip").show().fadeOut(2000);
                        $(".tip .tip-in").html("请选择分数和您可能需要的功能,谢谢!");
                        flag = false;
                    }
                    if (flag) {
                        //alert(1);
                        //得到单选框的值
                        var radioValue = $('input:radio[name="grade"]:checked').val();
                        //得到复选框的值
                        var checkboxesValue = $("input[type='checkbox'][name='chkName']:checked").map(function() {
                            return $(this).val();
                        }).get().join("/");
                        console.log(checkboxesValue);
                        //得到备注的值(去除特殊字符)
                        function stripscript(s) {
                            var pattern = new RegExp("[%--`~!@#$^&*()=|{}':;',\\[\\].<>/?~！@#￥……&*（）——|{}【】‘；：”“']") //格式 RegExp("[在中间定义特殊过滤字符]")
                            var rs = "";
                            for (var i = 0; i < s.length; i++) {
                                rs = rs + s.substr(i, 1).replace(pattern, '');
                            }
                            return rs;
                        }
                        var note = $.trim($("textarea").val());
                        var s = "" + note + "";
                        note = stripscript(s);
                        var param = {
                            "userID": userID,
                            "token": token,
                            "grade": radioValue,
                            "checkbox": checkboxesValue,
                            "note": note,
                            "platform": "Android"
                        }
                        var paramStr = JSON.stringify(param);
                        //console.log(paramStr);
                        var data = { "param": paramStr };
                        //$(".loading").show();
                        $(".sub-btn").attr('disabled', 'disabled');
                        $(".sub-btn").css("background", "#A6A8AB");
                        $.ajax({
                            type: "get",
                            url: TRAIN_REQUEST_BASE_URL + "/api/web/v1/gradeinfo/update",
                            dataType: "jsonp",
                            jsonp: "callback", //传递给请求处理程序或页面的，用以获得jsonp回调函数名的参数名(默认为:callback);
                            jsonpCallback: "jsonpCallback", //自定义的jsonp回调函数名称，默认为jQuery自动生成的随机函数名;
                            data: data,
                            async: false,
                            success: function(result) {
                                console.log(result);
                                if (result.error_code == 0) {
                                    //$(".loading").hide();
                                    $(".success").show();
                                    setTimeout(function() {
                                        $(".success").hide();
                                        $(".sub-btn").removeAttr('disabled', 'disabled');
                                        $(".sub-btn").css("background", "#ee552c");
                                        window.wangfanApp.close();
                                    }, 2000)
                                } else {
                                    //$(".loading").hide();
                                    $(".tip").show().fadeOut(2000);
                                    $(".tip .tip-in").html("请选择分数和您可能需要的功能,谢谢!");
                                    $(".sub-btn").removeAttr('disabled', 'disabled');
                                    //$(".sub-btn").css("background", "#ee552c");
                                }
                            },
                            error: function() {

                            }
                        });
                    }
                })
            }
        },
        error: function() {

        }
    })
})
