/**
 * Created by zhengfangfang on 2016/7/29.
 */
$(function() {
    var itemInfo = JSON.parse(window.wangfanApp.getItemInfo()); //调用客户端方法获取itemInfo；
    var TRAIN_REQUEST_BASE_URL = $.trim(itemInfo.TRAIN_REQUEST_BASE_URL);
    var gettedDateStr = window.wangfanApp.gettingDate(); //调用客户端方法得到日期字符串；
    //日期展示
    //formate date
    Date.prototype.pattern = function(fmt) {
            var o = {
                "M+": this.getMonth() + 1, //月份
                "d+": this.getDate(), //日
                "h+": this.getHours() % 12 == 0 ? 12 : this.getHours() % 12, //小时
                "H+": this.getHours(), //小时
                "m+": this.getMinutes(), //分
                "s+": this.getSeconds(), //秒
                "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                "S": this.getMilliseconds() //毫秒
            };
            var week = {
                "0": "/u65e5",
                "1": "/u4e00",
                "2": "/u4e8c",
                "3": "/u4e09",
                "4": "/u56db",
                "5": "/u4e94",
                "6": "/u516d"
            };
            if (/(y+)/.test(fmt)) {
                fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
            }
            if (/(E+)/.test(fmt)) {
                fmt = fmt.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468") : "") + week[this.getDay() + ""]);
            }
            for (var k in o) {
                if (new RegExp("(" + k + ")").test(fmt)) {
                    fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                }
            }
            return fmt;
        }
        //判断当前星期几函数
    function getWeekByDay(dayValue) {
        var day = new Date(Date.parse(dayValue.replace(/-/g, '/'))); //将日期值格式化
        var today = new Array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"); //创建星期数组
        return today[day.getDay()]; //返一个星期中的某一天，其中0为星期日
    }
    //展示日期
    var dateStr = new Date(Date.parse(gettedDateStr.replace(/-/g, '/')));
    var dateStr2 = dateStr.pattern("yyyy-MM-dd HH:mm:ss");
    console.log(dateStr2);
    var week = getWeekByDay(dateStr2);
    var showDateStr = dateStr.pattern("M月d日 " + week + "");
    //console.log(showDateStr);
    $(".date-bar h2 span").html(showDateStr); //将日期展示到界面上；
    //前一天和后一天逻辑
    //当前时间函数
    CurrentTime();
    console.log(CurrentTime());
    function CurrentTime() {
        var now = new Date();
        var year = now.getFullYear(); //年
        var month = now.getMonth() + 1; //月
        var day = now.getDate(); //日
        var hh = now.getHours(); //时
        var mm = now.getMinutes(); //分
        var ss = now.getSeconds(); //秒
        var clock = year + "-";
        if (month < 10) clock += "0";
        clock += month + "-";
        if (day < 10) clock += "0";
        clock += day + " ";
        if (hh < 10) clock += "0";
        clock += hh + ":";
        if (mm < 10) clock += '0';
        clock += mm + ":";
        if (ss < 10) clock += "0";
        clock += ss;
        return (clock);
    }
    var d1 = new Date("" + dateStr + ""); //得到的日期
    console.log(d1);
    var d2 = new Date("" + CurrentTime() + ""); //当前日期
    //前一天
    preDay();
    function preDay() {
        $(".pre").click(function() {
            if (d2.getTime() < d1.getTime()) {
                d1 = new Date(d1.getTime() - 24 * 60 * 60 * 1000);
                //console.log(d1.pattern("yyyy-MM-dd HH:mm:ss"));
                week = getWeekByDay(d1.pattern("yyyy-MM-dd HH:mm:ss"));
                console.log(week);
                $(".date-bar h2 span").html(d1.pattern("M月d日 " + week + ""));
                var passDateStr = d1.pattern("yyyy-MM-dd HH:mm:ss");
                dateStr2 = passDateStr;
                console.log(passDateStr); //打印
                showTicketInfo();
                window.wangfanApp.passDate(passDateStr);

            }

        });
    }
    //后一天
    nextDay();
    function nextDay() {
        $(".next").click(function() {
            var nextDay = new Date(d1.setDate(d1.getDate() + 1));
            //console.log(nextDay);
            week = getWeekByDay(nextDay.pattern("yyyy-MM-dd HH:mm:ss"));
            //console.log(week);
            $(".date-bar h2 span").html(nextDay.pattern("M月d日 " + week + "")); //将日期展示到界面上；
            var passDateStr = nextDay.pattern("yyyy-MM-dd HH:mm:ss");
            dateStr2 = passDateStr;
            console.log(passDateStr); //打印
            showTicketInfo();
            window.wangfanApp.passDate(passDateStr);

        })
    }
    var train_date = dateStr2; //日期
    console.log(train_date); //打印
    var station_train_code = $.trim(itemInfo.item.trainCode);
    var from_station_telecode = $.trim(itemInfo.item.fromStationCode);
    var to_station_telecode = $.trim(itemInfo.item.toStationCode);
    var platform = $.trim(itemInfo.platform);
    var param = {
        "train_date": train_date,
        "station_train_code": station_train_code,
        "from_station_telecode": from_station_telecode,
        "to_station_telecode": to_station_telecode,
        "platform": platform
    }
    var paramStr = JSON.stringify(param);
    console.log(paramStr); //打印
    var data = { "param": paramStr };
    //席别信息展示；
    showTicketInfo();
    //调用日历
    // $(".date-bar h2 span").click(function(){
    //     window.wangfanApp.openCalendar(dateStr);
    // })
    //调用日历后展示日期方法
    // function setDate(dateStr2){
    //     dateStr = dateStr2;
    //     var week = getWeekByDay(dateStr.pattern("yyyy-MM-dd HH:mm:ss"));
    //     var showDateStr = dateStr.pattern("M月d日 "+week+"");
    //     //console.log(showDateStr);
    //     $(".date-bar h2 span").html(showDateStr); //将日期展示到界面上；
    //     CurrentTime();
    //     preDay();
    //     nextDay();
    // }
    //火车卡片信息展示
    //火车信息展示
    $(".trainline-title").empty();
    var trainlineTitle = "";
    trainlineTitle += "<dl><dt>" + itemInfo.item['fromStationName'] + "</dt><dd>" + itemInfo.item['startTime'] + "</dd></dl>";
    trainlineTitle += "<dl><dt><img src='img/w-arrow.png' alt='' /></dt><dd>全程" + itemInfo.item['runTime'] + "</dd></dl>";
    trainlineTitle += "<dl><dt>" + itemInfo.item['toStationName'] + "</dt><dd>" + itemInfo.item['arriveTime'] + "</dd></dl>";
    $(".trainline-title").html(trainlineTitle);
    function showTicketInfo() {
        train_date = dateStr2;
        param = {
            "train_date": train_date,
            "station_train_code": station_train_code,
            "from_station_telecode": from_station_telecode,
            "to_station_telecode": to_station_telecode,
            "platform": platform
        }
        paramStr = JSON.stringify(param);
        console.log(paramStr); //打印
        data = { "param": paramStr };
        $(".loading").fadeIn();
        $.ajax({
            type: "post",
            url: TRAIN_REQUEST_BASE_URL + "/api/web/v1/ticket/queryticket",
            dataType: "jsonp",
            jsonp: "callback",
            jsonpCallback: "jsonpCallback",
            data: data,
            statusCode: {
                0: function() {
                    $(".loading").fadeOut();
                    $(".tickets-list").empty();
                    setTimeout(function() {
                        $(".hidden").css({
                            "display": "block"
                        }).html("当前网络状况不佳,请稍后重试!");
                    }, 1000)
                }
            },
            success: function(result) {
                $(".loading").fadeOut();
                console.log(result); //打印
                console.log(JSON.stringify(result));
                if (result.error_code == 0) {
                    if (result.data.length != 0) {
                        $(".hidden").hide();
                        var res = result.data[0];
                        console.log(res); //打印
                        if (res.canBuyNow == "Y") {
                            $(".hidden").hide();
                            //席别列表展示
                            var arr = [];
                            var swzNum = res.swzNum; //商务座
                            var swzPrice = res.swzPrice; //商务座价格
                            var tdzNum = res.tdzNum; //特等座
                            var tdzPrice = res.tdzPrice; //特等座价格
                            var ydzNum = res.ydzNum; //一等座
                            var ydzPrice = res.ydzPrice; //一等座价格
                            var edzNum = res.edzNum; //二等座
                            var edzPrice = res.edzPrice; //二等座价格
                            var gjrwNum = res.gjrwNum; //高级软卧
                            var gjrwPrice = res.gjrwPrice; //高级软卧价格
                            var rwNum = res.rwNum; //软卧
                            var rwPrice = res.rwPrice; //软卧价格
                            var ywNum = res.ywNum; //硬卧
                            var ywPrice = res.ywPrice; //硬卧价格
                            var rzNum = res.rzNum; //软座
                            var rzPrice = res.rzPrice; //软座价格
                            var yzNum = res.yzNum; //硬座
                            var yzPrice = res.yzPrice; //硬座价格
                            var wzNum = res.wzNum; //无座
                            var wzPrice = res.wzPrice; //无座价格
                            var qtxbNum = res.qtxbNum; //其他
                            var qtxbPrice = res.qtxbPrice; //其他价格
                            //商务座
                            if (swzNum != "--") {
                                var obj = {};
                                obj.name = "商务";
                                obj.num = swzNum;
                                obj.price = swzPrice;
                                obj.trainCode = res.trainCode;
                                obj.fromStationName = res.fromStationName;
                                obj.toStationName = res.toStationName;
                                obj.runTime = itemInfo.item.runTime;
                                obj.trainStartDate = train_date;
                                obj.startTime = res.startTime;
                                obj.arriveTime = res.arriveTime;
                                obj.fromStationCode = res.fromStationCode;
                                obj.toStationCode = res.toStationCode;
                                arr.push(obj);
                            }
                            //特等座
                            if (tdzNum != "--") {
                                var obj = {};
                                obj.name = "特等";
                                obj.num = tdzNum;
                                obj.price = tdzPrice;
                                obj.trainCode = res.trainCode;
                                obj.fromStationName = res.fromStationName;
                                obj.toStationName = res.toStationName;
                                obj.runTime = itemInfo.item.runTime;
                                obj.trainStartDate = train_date;
                                obj.startTime = res.startTime;
                                obj.arriveTime = res.arriveTime;
                                obj.fromStationCode = res.fromStationCode;
                                obj.toStationCode = res.toStationCode;
                                arr.push(obj);
                            }
                            //一等座
                            if (ydzNum != "--") {
                                var obj = {};
                                obj.name = "一等";
                                obj.num = ydzNum;
                                obj.price = ydzPrice;
                                obj.trainCode = res.trainCode;
                                obj.fromStationName = res.fromStationName;
                                obj.toStationName = res.toStationName;
                                obj.runTime = itemInfo.item.runTime;
                                obj.trainStartDate = train_date;
                                obj.startTime = res.startTime;
                                obj.arriveTime = res.arriveTime;
                                obj.fromStationCode = res.fromStationCode;
                                obj.toStationCode = res.toStationCode;
                                arr.push(obj);
                            }
                            //二等座
                            if (edzNum != "--") {
                                var obj = {};
                                obj.name = "二等";
                                obj.num = edzNum;
                                obj.price = edzPrice;
                                obj.trainCode = res.trainCode;
                                obj.fromStationName = res.fromStationName;
                                obj.toStationName = res.toStationName;
                                obj.runTime = itemInfo.item.runTime;
                                obj.trainStartDate = train_date;
                                obj.startTime = res.startTime;
                                obj.arriveTime = res.arriveTime;
                                obj.fromStationCode = res.fromStationCode;
                                obj.toStationCode = res.toStationCode;
                                arr.push(obj);
                            }
                            //高级软卧
                            if (gjrwNum != "--") {
                                var obj = {};
                                obj.name = "高软";
                                obj.num = gjrwNum;
                                obj.price = gjrwPrice;
                                obj.trainCode = res.trainCode;
                                obj.fromStationName = res.fromStationName;
                                obj.toStationName = res.toStationName;
                                obj.runTime = itemInfo.item.runTime;
                                obj.trainStartDate = train_date;
                                obj.startTime = res.startTime;
                                obj.arriveTime = res.arriveTime;
                                obj.fromStationCode = res.fromStationCode;
                                obj.toStationCode = res.toStationCode;
                                arr.push(obj);
                            }
                            //软卧
                            if (rwNum != "--") {
                                var obj = {};
                                obj.name = "软卧";
                                obj.num = rwNum;
                                obj.price = rwPrice;
                                obj.trainCode = res.trainCode;
                                obj.fromStationName = res.fromStationName;
                                obj.toStationName = res.toStationName;
                                obj.runTime = itemInfo.item.runTime;
                                obj.trainStartDate = train_date;
                                obj.startTime = res.startTime;
                                obj.arriveTime = res.arriveTime;
                                obj.fromStationCode = res.fromStationCode;
                                obj.toStationCode = res.toStationCode;
                                arr.push(obj);
                            }
                            //硬卧
                            if (ywNum != "--") {
                                var obj = {};
                                obj.name = "硬卧";
                                obj.num = ywNum;
                                obj.price = ywPrice;
                                obj.trainCode = res.trainCode;
                                obj.fromStationName = res.fromStationName;
                                obj.toStationName = res.toStationName;
                                obj.runTime = itemInfo.item.runTime;
                                obj.trainStartDate = train_date;
                                obj.startTime = res.startTime;
                                obj.arriveTime = res.arriveTime;
                                obj.fromStationCode = res.fromStationCode;
                                obj.toStationCode = res.toStationCode;
                                arr.push(obj);
                            }
                            //软座
                            if (rzNum != "--") {
                                var obj = {};
                                obj.name = "软座";
                                obj.num = rzNum;
                                obj.price = rzPrice;
                                obj.trainCode = res.trainCode;
                                obj.fromStationName = res.fromStationName;
                                obj.toStationName = res.toStationName;
                                obj.runTime = itemInfo.item.runTime
                                obj.trainStartDate = train_date;
                                obj.startTime = res.startTime;
                                obj.arriveTime = res.arriveTime;
                                obj.fromStationCode = res.fromStationCode;
                                obj.toStationCode = res.toStationCode;
                                arr.push(obj);
                            }
                            //硬座
                            if (yzNum != "--") {
                                var obj = {};
                                obj.name = "硬座";
                                obj.num = yzNum;
                                obj.price = yzPrice;
                                obj.trainCode = res.trainCode;
                                obj.fromStationName = res.fromStationName;
                                obj.toStationName = res.toStationName;
                                obj.runTime = itemInfo.item.runTime;
                                obj.trainStartDate = train_date;
                                obj.startTime = res.startTime;
                                obj.arriveTime = res.arriveTime;
                                obj.fromStationCode = res.fromStationCode;
                                obj.toStationCode = res.toStationCode;
                                arr.push(obj);
                            }
                            //无座
                            if (wzNum != "--") {
                                var obj = {};
                                obj.name = "无座";
                                obj.num = wzNum;
                                obj.price = wzPrice;
                                obj.trainCode = res.trainCode;
                                obj.fromStationName = res.fromStationName;
                                obj.toStationName = res.toStationName;
                                obj.runTime = itemInfo.item.runTime;
                                obj.trainStartDate = train_date;
                                obj.startTime = res.startTime;
                                obj.arriveTime = res.arriveTime;
                                obj.fromStationCode = res.fromStationCode;
                                obj.toStationCode = res.toStationCode;
                                arr.push(obj);
                            }
                            //其它
                            if (qtxbNum != "--") {
                                var obj = {};
                                obj.name = "其它";
                                obj.num = qtxbNum;
                                obj.price = qtxbPrice;
                                obj.trainCode = res.trainCode;
                                obj.fromStationName = res.fromStationName;
                                obj.toStationName = res.toStationName;
                                obj.runTime = itemInfo.item.runTime;
                                obj.trainStartDate = train_date;
                                obj.startTime = res.startTime;
                                obj.arriveTime = res.arriveTime;
                                obj.fromStationCode = res.fromStationCode;
                                obj.toStationCode = res.toStationCode;
                                arr.push(obj);
                            }
                            console.log(arr);
                            $(".tickets-list").empty();
                            var li = "";
                            for (var i = 0; i < arr.length; i++) {
                                if (arr[i].num == "无" || arr[i].num == "0") {
                                    arr[i].num = "无票";
                                    li += "<li class='clearfix'>";
                                    li += "<span>" + arr[i].name + "</span>";
                                    li += "<span>" + arr[i].num + "</span>";
                                    li += "<span>&yen;" + arr[i].price + "</span>";
                                    li += "<span><a class='book' style='background:#a6a8ab;' href='javascript:;'>预订</a></span>";
                                    li += "</li>";
                                } else {
                                    li += "<li class='clearfix'>";
                                    li += "<span>" + arr[i].name + "</span>";
                                    li += "<span>" + arr[i].num + "张</span>";
                                    li += "<span>&yen;" + arr[i].price + "</span>";
                                    li += "<span><a class='book useable' href='javascript:;'>预订</a></span>";
                                    li += "</li>";
                                }
                            }
                            $(".tickets-list").html(li);
                            //点击每一个li将每一项信息传给客户端；
                            $(".tickets-list .useable").click(function() {
                                var index = $(".tickets-list .book").index(this);
                                var item = arr[index];
                                console.log(item);
                                window.wangfanApp.ticketsItem(JSON.stringify(item));
                            })
                        }else {
                            $(".tickets-list").empty();
                            $(".loading").fadeOut();
                            setTimeout(function() {
                                $(".hidden").css({
                                    "display": "block"
                                }).html("无当日该车次信息,请重新查询!");
                            }, 1000);
                        }
                    } else {
                        $(".loading").fadeOut();
                        $(".tickets-list").empty();
                        setTimeout(function() {
                            $(".hidden").css({
                                "display": "block"
                            }).html("无当日该车次信息,请重新查询!");
                        }, 1000);
                    }
                }else if(result.error_code == 109){
                    $(".tickets-list").empty();
                    $(".loading").fadeOut();
                    setTimeout(function() {
                        $(".hidden").css({
                            "display": "block"
                        }).html("网络超时,请重新查询!");
                    }, 1000);
                } else {
                    $(".tickets-list").empty();
                    $(".loading").fadeOut();
                    setTimeout(function() {
                        $(".hidden").css({
                            "display": "block"
                        }).html("当日该车次信息查询失败,请重新查询!");
                    }, 1000);
                }
            },
            error: function() {

            }
        })
    }
    //下拉刷新
    var $statu = $('.loading-warp .text');
    var pullRefresh = $('.refresh-con').pPullRefresh({
        $el: $('.refresh-con'),
        $loadingEl: $('.loading-warp'),
        url: TRAIN_REQUEST_BASE_URL + "/api/web/v1/ticket/queryticket",
        sendData: data,
        callbacks: {
            pullStart: function() {
                $statu.text('松开开始刷新');
            },
            start: function() {
                $statu.text('数据刷新中···');
            },
            success: function(response) {
                $statu.text('数据刷新成功！');
                $(".loading").fadeOut();
                showTicketInfo();
            },
            end: function() {
                $statu.text('下拉刷新结束');
            },
            error: function() {
                $statu.text('找不到请求地址,数据刷新失败');
            }
        }
    });
})
