/**
 * Created by zhengfangfang on 2016/6/6.
 */
$(function() {
    var info = JSON.parse(window.wangfanApp.getInfo()); //调用客户端方法获取行程参数
    console.log(info); //打印
    var TRAIN_REQUEST_BASE_URL = $.trim(info.TRAIN_REQUEST_BASE_URL); //公用url
    //天气信息展示
    var stationsInfo = JSON.parse(window.wangfanApp.getStationsInfo()); //调用客户端方法获取车站名称；
    console.log(stationsInfo); //打印
    function showWeatherInfo() {
        var startStation = $.trim(stationsInfo.startStation);
        console.log(startStation); //打印
        var arriveStation = $.trim(stationsInfo.arriveStation);
        console.log(arriveStation); //打印
        var isInThreeDays = stationsInfo.isInThreeDays; //是否是在三天内的标识
        console.log(isInThreeDays); //打印
        var param = {
            "station_name": ["" + startStation + "", "" + arriveStation + ""],
            "platform": "android"
        }
        var paramStr = JSON.stringify(param);
        console.log(paramStr); //打印
        var data = { "param": paramStr };
        $.ajax({
            "type": "post",
            "url": TRAIN_REQUEST_BASE_URL + "/api/web/v1/train/getweather",
            dataType: "jsonp",
            jsonp: "callback", //传递给请求处理程序或页面的，用以获得jsonp回调函数名的参数名(默认为:callback);
            jsonpCallback: "jsonpCallback", //自定义的jsonp回调函数名称，默认为jQuery自动生成的随机函数名;
            data: data,
            timeout: 10000,
            success: function(result) {
                console.log(result); //打印
                console.log(JSON.stringify(result)); //打印
                if (result.error_code == 0) {
                    $(".weather").show();
                    console.log(result.data['' + startStation + '']);
                    console.log(result.data['' + arriveStation + '']);
                    var stationName1 = result.data['' + startStation + ''];
                    var today1 = stationName1.today;
                    var stationName2 = result.data['' + arriveStation + ''];
                    var today2 = stationName2.today;
                    if (isInThreeDays) {
                        $(".weather").empty();
                        var ul = "";
                        ul += "<ul class='clearfix'>";
                        ul += "<li class='li-start'>";
                        ul += "<dl class='clearfix'>";
                        ul += "<dt>" + stationName1['city'] + "</dt>";
                        ul += "<dd class='clearfix'>";
                        ul += "<div class='weather-detail'>";
                        ul = judgeWeatherType(today1.type, ul);
                        ul += "<p class='text'>" + today1['type'] + "</p><p class='deg'>" + today1['curTemp'] + "</p>";
                        ul += "</div>";
                        ul += "</dd>";
                        ul += "</dl>";
                        ul += "<a class='start-more' href='javascript:;'>More></a>";
                        ul += "</li>";
                        ul += "<li>";
                        ul += "<div class='train'><img src='img/gray-train.png'/></div>";
                        ul += "<p>当前天气</p>";
                        ul += "</li>";
                        ul += "<li class='li-arrive'>";
                        ul += "<dl class='clearfix'>";
                        ul += "<dt>" + stationName2['city'] + "</dt>";
                        ul += "<dd class='clearfix'>";
                        ul += "<div class='weather-detail'>";
                        ul = judgeWeatherType(today2.type, ul);
                        ul += "<p class='text'>" + today2['type'] + "</p><p class='deg'>" + today2['curTemp'] + "</p>";
                        ul += "</div>";
                        ul += "</dd>";
                        ul += "</dl>";
                        ul += "<a class='arrive-more' href='javascript:;'>More></a>";
                        ul += "</li>";
                        ul += "</ul>";
                    } else {
                        $(".weather").empty();
                        var ul = "";
                        ul += "<ul class='clearfix'>";
                        ul += "<li>";
                        ul += "<dl class='clearfix'>";
                        ul += "<dt>" + stationName1['city'] + "</dt>";
                        ul += "<dd class='clearfix' style='display:none;'>";
                        ul += "<div class='weather-detail'>";
                        ul = judgeWeatherType(today1.type, ul);
                        ul += "<p class='text'>" + today1['type'] + "</p><p class='deg'>" + today1['curTemp'] + "</p>";
                        ul += "</div>";
                        ul += "</dd>";
                        ul += "</dl>";
                        ul += "<a class='start-more' href='javascript:;' style='display:none;'>More></a>";
                        ul += "</li>";
                        ul += "<li>";
                        ul += "<div class='train'><img src='img/gray-train.png'/></div>";
                        ul += "<p style='display:none;'>当前天气</p>";
                        ul += "</li>";
                        ul += "<li>";
                        ul += "<dl class='clearfix'>";
                        ul += "<dt>" + stationName2['city'] + "</dt>";
                        ul += "<dd class='clearfix' style='display:none;'>";
                        ul += "<div class='weather-detail'>";
                        ul = judgeWeatherType(today2.type, ul);
                        ul += "<p class='text'>" + today2['type'] + "</p><p class='deg'>" + today2['curTemp'] + "</p>";
                        ul += "</div>";
                        ul += "</dd>";
                        ul += "</dl>";
                        ul += "<a class='arrive-more' href='javascript:;' style='display:none;'>More></a>";
                        ul += "</li>";
                        ul += "</ul>";
                    }
                    $(".weather").append(ul);
                    $(".li-start").click(function() {
                        var startObj = {};
                        startObj.data = {};
                        startObj.data.startStation = stationName1;
                        startObj.data.arriveStation = stationName2;
                        startObj.isArriveFlag = false;
                        console.log(JSON.stringify(startObj)); //打印
                        window.wangfanApp.passStartStationName(JSON.stringify(startObj));
                    })
                    $(".li-arrive").click(function() {
                        var arriveObj = {};
                        arriveObj.data = {};
                        arriveObj.data.startStation = stationName1;
                        arriveObj.data.arriveStation = stationName2;
                        arriveObj.isArriveFlag = true;
                        console.log(JSON.stringify(arriveObj)); //打印
                        window.wangfanApp.passArriveStationName(JSON.stringify(arriveObj));
                    });
                } else if (result.error_code == 130) {
                    $(".weather").hide();
                } else {
                    $(".weather").hide();
                }
            },
            error: function() {
                console.log("错误");
            }
        });
        //根据天气类型添加图片
        function judgeWeatherType(type, str) {
            switch (type) {
                case "晴":
                    str += "<img src='img/weather-icons/sunny.png'/>";
                    break;
                case "多云":
                    str += "<img src='img/weather-icons/cloudy.png'/>";
                    break;
                case "阴":
                    str += "<img src='img/weather-icons/overcast.png'/>";
                    break;
                case "阵雨":
                    str += "<img src='img/weather-icons/Rain-Shower.png'/>";
                    break;
                case "雷阵雨":
                    str += "<img src='img/weather-icons/Storms-Shower.png'/>";
                    break;
                case "雷阵雨伴有冰雹":
                    str += "<img src='img/weather-icons/Storms-Shower-Mix.png'/>";
                    break;
                case "雨夹雪":
                    str += "<img src='img/weather-icons/Wintry-Mix.png'/>";
                    break;
                case "小雨":
                    str += "<img src='img/weather-icons/Light-Rain.png'/>";
                    break;
                case "中雨":
                    str += "<img src='img/weather-icons/cloudy.png'/>";
                    break;
                case "大雨":
                    str += "<img src='img/weather-icons/Heavy-Rain.png'/>";
                    break;
                case "暴雨":
                    str += "<img src='img/weather-icons/rainstorm.png'/>";
                    break;
                case "大暴雨":
                    str += "<img src='img/weather-icons/heavy-rainstorm.png'/>";
                    break;
                case "特大暴雨":
                    str += "<img src='img/weather-icons/more-heavy-rainstorm.png'/>";
                    break;
                case "阵雪":
                    str += "<img src='img/weather-icons/Snow-Shower.png'/>";
                    break;
                case "小雪":
                    str += "<img src='img/weather-icons/Light-Snow.png'/>";
                    break;
                case "中雪":
                    str += "<img src='img/weather-icons/moderate-Snow.png'/>";
                    break;
                case "大雪":
                    str += "<img src='img/weather-icons/Heavy-Snow.png'/>";
                    break;
                case "暴雪":
                    str += "<img src='img/weather-icons/snow-storm.png'/>";
                    break;
                case "雾":
                    str += "<img src='img/weather-icons/fog.png'/>";
                    break;
                case "冻雨":
                    str += "<img src='img/weather-icons/freezing-rain.png'/>";
                    break;
                case "沙尘暴":
                    str += "<img src='img/weather-icons/sandstorm.png'/>";
                    break;
                case "小到中雨":
                    str += "<img src='img/weather-icons/lightToModerateRain.png'/>";
                    break;
                case "中到大雨":
                    str += "<img src='img/weather-icons/moderateToHeavyRain.png'/>";
                    break;
                case "大到暴雨":
                    str += "<img src='img/weather-icons/BigToBurstTheRain.png'/>";
                    break;
                case "暴雨到大暴雨":
                    str += "<img src='img/weather-icons/cloudy.png'/>";
                    break;
                case "大暴雨到特大暴雨":
                    str += "<img src='img/weather-icons/HeavyRainToHeavyRain.png'/>";
                    break;
                case "小到中雪":
                    str += "<img src='img/weather-icons/lightToModerateSnow.png'/>";
                    break;
                case "中到大雪":
                    str += "<img src='img/weather-icons/moderateToHeavySnow.png'/>";
                    break;
                case "大到暴雪":
                    str += "<img src='img/weather-icons/BigToBurstSnow.png'/>";
                    break;
                case "浮尘":
                    str += "<img src='img/weather-icons/Dust.png'/>";
                    break;
                case "扬沙":
                    str += "<img src='img/weather-icons/raising-sand.png'/>";
                    break;
                case "强沙尘暴":
                    str += "<img src='img/weather-icons/heavey-sandstorm.png'/>";
                    break;
                case "霾":
                    str += "<img src='img/weather-icons/haze.png'/>";
                    break;
            }
            //console.log("2="+str);
            return str;
        }
        //日期格式化
        Date.prototype.pattern = function(fmt) {
            var o = {
                "M+": this.getMonth() + 1, //月份
                "d+": this.getDate(), //日
                "h+": this.getHours() % 12 == 0 ? 12 : this.getHours() % 12, //小时
                "H+": this.getHours(), //小时
                "m+": this.getMinutes(), //分
                "s+": this.getSeconds(), //秒
                "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                "S": this.getMilliseconds() //毫秒
            };
            var week = {
                "0": "/u65e5",
                "1": "/u4e00",
                "2": "/u4e8c",
                "3": "/u4e09",
                "4": "/u56db",
                "5": "/u4e94",
                "6": "/u516d"
            };
            if (/(y+)/.test(fmt)) {
                fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
            }
            if (/(E+)/.test(fmt)) {
                fmt = fmt.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468") : "") + week[this.getDay() + ""]);
            }
            for (var k in o) {
                if (new RegExp("(" + k + ")").test(fmt)) {
                    fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                }
            }
            return fmt;
        }
    }
    //行程详情展示
    var userID = $.trim(info.userID);
    var token = $.trim(info.token);
    var station_train_code = $.trim(info.station_train_code);
    var start_train_date_page = $.trim(info.start_train_date_page);
    var from_station_telecode = $.trim(info.from_station_telecode);
    var to_station_telecode = $.trim(info.to_station_telecode);
    var platform = $.trim(info.platform);
    var param1 = {
        "userID": userID,
        "token": token,
        "station_train_code": station_train_code,
        "start_train_date_page": start_train_date_page,
        "from_station_telecode": from_station_telecode,
        "to_station_telecode": to_station_telecode,
        "platform": platform
    }
    var paramStr1 = JSON.stringify(param1);
    console.log(paramStr1); //打印
    var data1 = { "param": paramStr1 };
    showpartInfo(data1); //展示我的行程
    function showpartInfo(data1) {
        $(".loading").fadeIn();
        $.ajax({
            type: "get",
            url: TRAIN_REQUEST_BASE_URL + "/api/web/v1/train/getdetailinfo",
            dataType: "jsonp",
            jsonp: "callback", //传递给请求处理程序或页面的，用以获得jsonp回调函数名的参数名(默认为:callback);
            jsonpCallback: "jsonpCallback", //自定义的jsonp回调函数名称，默认为jQuery自动生成的随机函数名;
            data: data1,
            timeout: 10000,
            statusCode: {
                0: function() {
                    $(".loading").fadeOut();
                    $(".checkall-btn").hide();
                    $(".backforward-btn").hide();
                    $(".weather").empty();
                    $(".travel-list,.travel-list2").css("min-height", "20px");
                    $(".hidden").css({
                        "display": "block"
                    }).html("当前网络状况不佳");

                }
            },
            success: function(result) {
                console.log(JSON.stringify(result)); //打印
                $(".loading").fadeOut();
                if (result.error_code == 0) {
                    var res = result.data;
                    var user_details = res.user_details;
                    var total_details = res.total_details;
                    if (user_details.length < total_details.length) {
                        $(".checkall-btn").show();
                    } else {
                        $(".checkall-btn").hide();
                    }
                    $(".travel-list").show();
                    $(".travel-list2").hide();
                    $(".travel-list").empty();
                    var li = "";
                    $.each(user_details, function(i, item) {
                        li += "<li>";
                        li += "<div class='col1'></div>";
                        li += "<div class='col2'><span class='step'><span class='line1'></span><span class='line2'></span><span class='point'></span></span></div>";
                        li += "<div class='col3'><span class='station'>" + item['station_name'] + "</span><span class='time'>" + item['arrive_time'] + "</span><span class='staytime'>" + item['stopover_time'] + "</span></div>";
                        li += "</li>";
                    })
                    $(".travel-list").append(li);
                } else if (result.error_code == 111) {
                    $(".travel-list").empty();
                    $(".travel-list2").empty();
                    $(".hidden").css({
                        "display": "block"
                    }).html("详情信息获取失败。<a id='getAgain' style='font-size:14px;color:#ee552c;text-decoration:none;' href ='javascript:;'>请重新加载！</a>");
                }
                showWeatherInfo();
                $("#getAgain").click(function() {
                    showpartInfo(data1);
                    $(".hidden").hide();
                })
            },
            error: function() {
                showWeatherInfo(); //打印
            }
        });
    }

    function showAllInfo(data1) {
        $(".loading").fadeIn();
        $.ajax({
            type: "get",
            url: TRAIN_REQUEST_BASE_URL + "/api/web/v1/train/getdetailinfo",
            dataType: "jsonp",
            jsonp: "callback", //传递给请求处理程序或页面的，用以获得jsonp回调函数名的参数名(默认为:callback);
            jsonpCallback: "jsonpCallback", //自定义的jsonp回调函数名称，默认为jQuery自动生成的随机函数名;
            data: data1,
            timeout: 10000,
            statusCode: {
                0: function() {
                    $(".loading").fadeOut();
                    $(".checkall-btn").hide();
                    $(".backforward-btn").hide();
                    $(".weather").empty();
                    $(".travel-list,.travel-list2").css("min-height", "20px");
                    $(".hidden").css({
                        "display": "block"
                    }).html("当前网络状况不佳");
                }
            },
            success: function(result) {
                console.log(result); //打印
                $(".loading").fadeOut();
                if (result.error_code == 0) {
                    var res = result.data;
                    var user_details = res.user_details;
                    var total_details = res.total_details;
                    $(".travel-list").hide();
                    $(".travel-list2").show();
                    $(".travel-list2").empty();
                    var li = "";
                    $.each(total_details, function(i, item) {
                        li += "<li>";
                        li += "<div class='col1'></div>";
                        li += "<div class='col2'><span class='step'><span class='line1'></span><span class='line2'></span><span class='point'></span></span></div>";
                        li += "<div class='col3'><span class='station'>" + item['station_name'] + "</span><span class='time'>" + item['arrive_time'] + "</span><span class='staytime'>" + item['stopover_time'] + "</span></div>";
                        li += "</li>";
                    })
                    $(".travel-list2").append(li);
                } else if (result.error_code == 111) {
                    $(".travel-list").empty();
                    $(".travel-list2").empty();
                    $(".hidden").css({
                        "display": "block"
                    }).html("详情信息获取失败。<a id='getAgain' style='font-size:14px;color:#ee552c;text-decoration:none;' href ='javascript:;'>请重新加载！</a>");
                }
                showWeatherInfo();
                $("#getAgain").click(function() {
                    showpartInfo(data1);
                    $(".hidden").hide();
                })
            },
            error: function(result) {
                //console.log(result);  //打印
                showWeatherInfo();
            }
        });
    }
    $(".btn").on("click", function() {
        $(".checkall-btn").hide();
        $(".backforward-btn").show();
        showAllInfo(data1);
    });
    $(".backforward-btn .back-btn").on("click", function() {
        $(".checkall-btn").show();
        $(".backforward-btn").hide();
        showpartInfo(data1);
    });
})
