/**
 * Created by zhengfangfang on 2016/7/18.
 */
//formate date
Date.prototype.pattern=function(fmt) {
    var o = {
        "M+" : this.getMonth()+1, //月份
        "d+" : this.getDate(), //日
        "h+" : this.getHours()%12 == 0 ? 12 : this.getHours()%12, //小时
        "H+" : this.getHours(), //小时
        "m+" : this.getMinutes(), //分
        "s+" : this.getSeconds(), //秒
        "q+" : Math.floor((this.getMonth()+3)/3), //季度
        "S" : this.getMilliseconds() //毫秒
    };
    var week = {
        "0" : "/u65e5",
        "1" : "/u4e00",
        "2" : "/u4e8c",
        "3" : "/u4e09",
        "4" : "/u56db",
        "5" : "/u4e94",
        "6" : "/u516d"
    };
    if(/(y+)/.test(fmt)){
        fmt=fmt.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length));
    }
    if(/(E+)/.test(fmt)){
        fmt=fmt.replace(RegExp.$1, ((RegExp.$1.length>1) ? (RegExp.$1.length>2 ? "/u661f/u671f" : "/u5468") : "")+week[this.getDay()+""]);
    }
    for(var k in o){
        if(new RegExp("("+ k +")").test(fmt)){
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));
        }
    }
    return fmt;
}
$(function(){
    //判断当前星期几函数
    function getWeekByDay(dayValue) {
        var day = new Date(Date.parse(dayValue.replace(/-/g, '/'))); //将日期值格式化
        var today = new Array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"); //创建星期数组
        return today[day.getDay()]; //返一个星期中的某一天，其中0为星期日
    }
    //日期展示函数
    //var dateStr = "2016-06-24 13:42:00";  //客户端返回给我的日期格式示例；
    var gettedDateStr = window.wangfanApp.gettingDate();//调用客户端方法得到日期字符串；
    var dateStr = new Date(gettedDateStr);
    var week = getWeekByDay(dateStr.pattern("yyyy-MM-dd HH:mm:ss"));
    var showDateStr = dateStr.pattern("M月d日 "+week+"");
    //console.log(showDateStr);
    $(".date-bar h2 span").html(showDateStr); //将日期展示到界面上；
    //判断当前星期几函数
    function getWeekByDay(dayValue) {
        var day = new Date(Date.parse(dayValue.replace(/-/g, '/'))); //将日期值格式化
        var today = new Array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"); //创建星期数组
        return today[day.getDay()]; //返一个星期中的某一天，其中0为星期日
    }
    //前一天和后一天逻辑
    //当前时间函数
    CurrentTime();
    console.log(CurrentTime());
    function CurrentTime() {
        var now = new Date();
        var year = now.getFullYear();       //年
        var month = now.getMonth() + 1;     //月
        var day = now.getDate();            //日
        var hh = now.getHours();            //时
        var mm = now.getMinutes();          //分
        var ss = now.getSeconds();          //秒
        var clock = year + "-";
        if(month < 10) clock += "0";
        clock += month + "-";
        if(day < 10) clock += "0";
        clock += day + " ";
        if(hh < 10) clock += "0";
        clock += hh + ":";
        if (mm < 10) clock += '0';
        clock += mm+":";
        if(ss<10) clock+="0";
        clock+=ss;
        return(clock);
    }
    var d1= new Date(""+dateStr+"");  //得到的日期
    console.log(d1);
    var d2 =new Date(""+CurrentTime()+""); //当前日期
    //前一天
    preDay();
    function preDay(){
        $(".pre").click(function(){
            if (d2.getTime() < d1.getTime()) {
                d1 = new Date(d1.getTime() - 24 * 60 * 60 * 1000);
                //console.log(d1.pattern("yyyy-MM-dd HH:mm:ss"));
                week = getWeekByDay(d1.pattern("yyyy-MM-dd HH:mm:ss"));
                console.log(week);
                $(".date-bar h2 span").html(d1.pattern("M月d日 "+week+""));
                var passDateStr = d1.pattern("yyyy-MM-dd HH:mm:ss");
                dateStr=passDateStr;
                window.wangfanApp.passDate(passDateStr);

            }

        });
    }
    //后一天
    nextDay();
    function nextDay(){
        $(".next").click(function(){
            var nextDay = new Date(d1.setDate(d1.getDate() + 1));
            //console.log(nextDay);
            week = getWeekByDay(nextDay.pattern("yyyy-MM-dd HH:mm:ss"));
            //console.log(week);
            $(".date-bar h2 span").html(nextDay.pattern("M月d日 "+week+"")); //将日期展示到界面上；
            var passDateStr = nextDay.pattern("yyyy-MM-dd HH:mm:ss");
            dateStr=passDateStr;
            window.wangfanApp.passDate(passDateStr);

        })
    }
    //调用日历
    $(".date-bar h2 span").click(function(){
        window.wangfanApp.openCalendar(dateStr);
    })
    //调用日历后展示日期方法
    function setDate(dateStr){
        var dateStr = new Date(dateStr);
        var week = getWeekByDay(dateStr.pattern("yyyy-MM-dd HH:mm:ss"));
        var showDateStr = dateStr.pattern("M月d日 "+week+"");
        //console.log(showDateStr);
        $(".date-bar h2 span").html(showDateStr); //将日期展示到界面上；
        CurrentTime();
        preDay();
        nextDay();
    }
})

