/**
 * Created by z on 2016/7/21.
 */
var payingOrdersInfo = JSON.parse(window.wangfanApp.getPayingOrdersInfo()); //调用客户端方法得到参数信息；
$(function() {
    var TRAIN_REQUEST_BASE_URL = $.trim(payingOrdersInfo.TRAIN_REQUEST_BASE_URL);
    var platform = $.trim(payingOrdersInfo.platform);
    //日期转换
    Date.prototype.pattern = function(fmt) {
        var o = {
            "M+": this.getMonth() + 1, //月份
            "d+": this.getDate(), //日
            "h+": this.getHours() % 12 == 0 ? 12 : this.getHours() % 12, //小时
            "H+": this.getHours(), //小时
            "m+": this.getMinutes(), //分
            "s+": this.getSeconds(), //秒
            "q+": Math.floor((this.getMonth() + 3) / 3), //季度
            "S": this.getMilliseconds() //毫秒
        };
        var week = {
            "0": "/u65e5",
            "1": "/u4e00",
            "2": "/u4e8c",
            "3": "/u4e09",
            "4": "/u56db",
            "5": "/u4e94",
            "6": "/u516d"
        };
        if (/(y+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
        }
        if (/(E+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468") : "") + week[this.getDay() + ""]);
        }
        for (var k in o) {
            if (new RegExp("(" + k + ")").test(fmt)) {
                fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
            }
        }
        return fmt;
    }
    //判断当前星期几函数
    function getWeekByDay(dayValue) {
        var day = new Date(Date.parse(dayValue.replace(/-/g, '/'))); //将日期值格式化
        var today = new Array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"); //创建星期数组
        return today[day.getDay()]; //返一个星期中的某一天，其中0为星期日
    }
    var dateString = new Date(payingOrdersInfo.trainDate.replace(/-/g, '/'));
    var weekDay = getWeekByDay(dateString.pattern("yyyy-MM-dd HH:mm:ss"));
    //console.log(weekDay);
    var showDateString = dateString.pattern("yyyy年M月d日 " + weekDay + "");
    var passengersInfo = payingOrdersInfo.passengers; //获得订单上乘车人数组
    var str = "";
    trainLineInfo();

    function trainLineInfo() {
        var trainNum = payingOrdersInfo.trainNum;
        var trainDate = payingOrdersInfo.trainDate;
        var fromStationCode = payingOrdersInfo.fromStationCode;
        var toStationCode = payingOrdersInfo.toStationCode;
        var param = {
            "train_date": trainDate,
            "station_train_code": trainNum,
            "from_station_telecode": fromStationCode,
            "to_station_telecode": toStationCode,
            "platform": "ios"
        }
        var paramStr = JSON.stringify(param);
        var data = { "param": paramStr };
        $.ajax({
            type: "post",
            url: TRAIN_REQUEST_BASE_URL + "/api/web/v1/ticket/queryticket",
            dataType: "jsonp",
            jsonp: "callback",
            jsonpCallback: "jsonpCallback",
            data: data,
            success: function(result) {
                console.log(result);
                if (result.data.length != 0) {
                    var res = result.data[0];
                    console.log(res);
                    var toHouerMinute = res.runTime;
                    //console.log(toHouerMinute);
                    var toHouerMinuteArry = toHouerMinute.split(":");
                    if (toHouerMinuteArry[0] != "00") {
                        var toHouerMinuteStr = toHouerMinuteArry[0] + "小时" + toHouerMinuteArry[1] + "分";
                    } else {
                        var toHouerMinuteStr = toHouerMinuteArry[1] + "分";
                    }
                    //console.log(toHouerMinuteStr);
                    //res.runTime = toHouerMinuteStr;
                    str = "全程" + toHouerMinuteStr + "";
                    console.log(str);
                    $("#dd").text(str);
                }
            },
            error: function() {

            }
        })
    }
    //支付页面订单信息展示
    //1.车票卡片信息展示
    var card = "";
    card += "<div class='card'>";
    card += "<div class='hd clearfix'><h3>" + payingOrdersInfo['trainNum'] + "</h3><span>" + showDateString + "</span></div>";
    card += "<div class='bd clearfix'>";
    card += "<dl><dt>" + payingOrdersInfo['fromStationName'] + "</dt><dd>" + payingOrdersInfo['startTime'] + "</dd></dl>";
    card += "<dl><dt><img src='img/b-arrow.png' alt='img/b-arrow.png'/></dt><dd id='dd'></dd></dl>";
    card += "<dl><dt>" + payingOrdersInfo['toStationName'] + "</dt><dd>" + payingOrdersInfo['arriveTime'] + "</dd></dl>";
    card += "</div>"
    card += "</div>";
    $(".card-info").html(card);
    //2.乘车人列表信息展示
    var li = "";
    $(".user-info").empty();
    $.each(passengersInfo, function(i, item) {
        li += "<li>";
        li += "<dl class='clearfix'><dt>" + item['passengerName'] + "</dt><dd>" + item['seatNum'] + "</dd></dl>";
        li += "<dl class='clearfix'><dt>" + item['passportNo'] + "</dt><dd>" + item['seatName'] + "</dd></dl>";
        li += "<dl class='clearfix'><dt>" + item['ticketTypeName'] + "</dt><dd>&yen;" + item['price'] + "</dd></dl>";
        li += "</li>";
    })
    $(".user-info").html(li);
    //总支付款；
    function getSum() {
        var sum = 0;
        for (var i = 0; i < passengersInfo.length; i++) {
            sum += parseFloat(passengersInfo[i].price);
        }
        return sum;
    }
    getSum();
    var getSumPrice = getSum().toFixed(1);
    $(".pay-bar .sum span").html(getSumPrice); //将金额展示到页面上
    //支付弹层
    //隐藏模态框函数
    function hideActionSheet(Actionsheet, Actionmask) {
        Actionsheet.removeClass('pay-box-toggle');
        Actionmask.removeClass('pay-mask-toggle');
        Actionsheet.on('transitionend', function() {
            Actionmask.hide();
        }).on('webkitTransitionEnd', function() {
            Actionmask.hide();
        })
    }
    var mask = $('.pay-mask');
    var pay_box = $('.pay-box');

    function showActionSheet() {
        pay_box.addClass('pay-box-toggle');
        mask.show().addClass('pay-mask-toggle').click(function() {
            hideActionSheet(pay_box, mask);
        });
        pay_box.unbind('transitionend').unbind('webkitTransitionEnd');
    }
    $(".payMethods-list .aliPay").click(function() {
        window.wangfanApp.payByaliPay(getSum());
        //hideActionSheet(pay_box, mask);
    });
    $(".paySoon").click(function() {
        showActionSheet();
    })
})

function refresh() {
    payingOrdersInfo = JSON.parse(window.wangfanApp.getPayingOrdersInfo());
    //根据不同订单状态显示不同的样式
    if (payingOrdersInfo.order_status == 2) {
        $(".card .hd").css("background-color", "#ef552c");
        $(".pay-bar li:nth-child(2)").css("background-color", "#ef552c");
        $(".pay-box").hide();
        $(".pay-mask").hide();
    } else if (payingOrdersInfo.order_status == 4) {
        $(".order-code span.code").html(payingOrdersInfo.sequence_no);
        $(".order-code").css("display", "block");
        $(".pay-bar").css("display", "none");
        $(".pay-box").hide();
        $(".pay-mask").hide();

    } else if (payingOrdersInfo.order_status == 2048) {
        $(".card .hd").css("background-color", "#cbcbcb");
        $(".pay-bar li:nth-child(2)").css("background-color", "#cbcbcb");
        $(".pay-box").hide();
        $(".pay-mask").hide();
    }
}
