/**
 * Created by z on 2016/7/27.
 */
var stationsInfo = JSON.parse(window.wangfanApp.getStationsInfo());
$(function() {
    var TRAIN_REQUEST_BASE_URL = $.trim(stationsInfo.TRAIN_REQUEST_BASE_URL);
    var startStation = $.trim(stationsInfo.startStation);
    var arriveStation = $.trim(stationsInfo.arriveStation);
    var isInThreeDays = stationsInfo.isInThreeDays; //是否是在三天内的标识
    var param = {
        "station_name": ["" + startStation + "", "" + arriveStation + ""],
        "platform": "android"
    }
    var paramStr = JSON.stringify(param);
    var data = { "param": paramStr };
    //本地测试数据
    //var TRAIN_REQUEST_BASE_URL = "http://api.test.amol.com.cn:8083";
    //var param = {
    //    "station_name":["北京","南京南"],
    //    "platform": "ios"
    //}
    //var paramStr = JSON.stringify(param);
    //var data = { "param": paramStr };
    //本地测试数据结束

    $(".loading").fadeIn();
    $.ajax({
        "type": "post",
        "url": TRAIN_REQUEST_BASE_URL + "/api/web/v1/train/getweather",
        dataType: "jsonp",
        jsonp: "callback", //传递给请求处理程序或页面的，用以获得jsonp回调函数名的参数名(默认为:callback);
        jsonpCallback: "jsonpCallback", //自定义的jsonp回调函数名称，默认为jQuery自动生成的随机函数名;
        data: data,
        timeout: 10000,
        success: function(result) {
            $(".loading").fadeOut();
            console.log(result);
            console.log(result.data['' + startStation + '']);
            console.log(result.data['' + arriveStation + '']);
            var stationName1 = result.data['' + startStation + ''];
            var today1 = stationName1.today;
            var stationName2 = result.data['' + arriveStation + ''];
            var today2 = stationName2.today;
            if (isInThreeDays) {
                $(".weather").empty();
                var ul = "";
                ul += "<ul class='clearfix'>";
                ul += "<li>";
                ul += "<dl class='clearfix'>";
                ul += "<dt>" + stationName1['city'] + "</dt>";
                ul += "<dd class='clearfix'>";
                ul += "<div class='weather-detail'>";
                ul = judgeWeatherType(today1.type, ul);
                ul += "<p class='text'>" + today1['type'] + "</p><p class='deg'>" + today1['curTemp'] + "</p>";
                ul += "</div>";
                ul += "</dd>";
                ul += "</dl>";
                ul += "<a class='start-more' href='javascript:;'>More></a>";
                ul += "</li>";
                ul += "<li>";
                ul += "<div class='train'><img src='img/gray-train.png'/></div>";
                ul += "<p>当前天气</p>";
                ul += "</li>";
                ul += "<li>";
                ul += "<dl class='clearfix'>";
                ul += "<dt>" + stationName2['city'] + "</dt>";
                ul += "<dd class='clearfix'>";
                ul += "<div class='weather-detail'>";
                ul = judgeWeatherType(today2.type, ul);
                ul += "<p class='text'>" + today2['type'] + "</p><p class='deg'>" + today2['curTemp'] + "</p>";
                ul += "</div>";
                ul += "</dd>";
                ul += "</dl>";
                ul += "<a class='arrive-more' href='javascript:;'>More></a>";
                ul += "</li>";
                ul += "</ul>";
            } else {
                $(".weather").empty();
                var ul = "";
                ul += "<ul class='clearfix'>";
                ul += "<li>";
                ul += "<dl class='clearfix'>";
                ul += "<dt>" + stationName1['city'] + "</dt>";
                ul += "<dd class='clearfix' style='display:none;'>";
                ul += "<div class='weather-detail'>";
                ul = judgeWeatherType(today1.type, ul);
                ul += "<p class='text'>" + today1['type'] + "</p><p class='deg'>" + today1['curTemp'] + "</p>";
                ul += "</div>";
                ul += "</dd>";
                ul += "</dl>";
                ul += "<a class='start-more' href='javascript:;' style='display:none;'>More></a>";
                ul += "</li>";
                ul += "<li>";
                ul += "<div class='train'><img src='img/gray-train.png'/></div>";
                ul += "<p style='display:none;'>当前天气</p>";
                ul += "</li>";
                ul += "<li>";
                ul += "<dl class='clearfix'>";
                ul += "<dt>" + stationName2['city'] + "</dt>";
                ul += "<dd class='clearfix' style='display:none;'>";
                ul += "<div class='weather-detail'>";
                ul = judgeWeatherType(today2.type, ul);
                ul += "<p class='text'>" + today2['type'] + "</p><p class='deg'>" + today2['curTemp'] + "</p>";
                ul += "</div>";
                ul += "</dd>";
                ul += "</dl>";
                ul += "<a class='arrive-more' href='javascript:;' style='display:none;'>More></a>";
                ul += "</li>";
                ul += "</ul>";
            }
            $(".weather").append(ul);
            $(".start-more").click(function() {
                var startObj = {};
                startObj.data={};
                startObj.data.startStation = stationName1;
                startObj.data.arriveStation = stationName2;
                startObj.isArriveFlag = false;
                window.wangfanApp.passStartStationName(JSON.stringify(startObj));
            })
            $(".arrive-more").click(function() {
                var arriveObj = {};
                arriveObj.data={};
                arriveObj.data.startStation = stationName1;
                arriveObj.data.arriveStation = stationName2;
                arriveObj.isArriveFlag = true;
                window.wangfanApp.passArriveStationName(JSON.stringify(arriveObj));
            })
        },
        error: function() {

        }
    })
    //根据天气类型添加图片
    function judgeWeatherType(type, str) {
        //console.log("1="+str);
        switch (type) {
            case "晴":
                str += "<img src='img/weather-icons/sunny.png'/>";
                break;
            case "多云":
                str += "<img src='img/weather-icons/cloudy.png'/>";
                break;
            case "阴":
                str += "<img src='img/weather-icons/overcast.png'/>";
                break;
            case "阵雨":
                str += "<img src='img/weather-icons/Rain-Shower.png'/>";
                break;
            case "雷阵雨":
                str += "<img src='img/weather-icons/Storms-Shower.png'/>";
                break;
            case "雷阵雨伴有冰雹":
                str += "<img src='img/weather-icons/Storms-Shower-Mix.png'/>";
                break;
            case "雨夹雪":
                str += "<img src='img/weather-icons/Wintry-Mix.png'/>";
                break;
            case "小雨":
                str += "<img src='img/weather-icons/Light-Rain.png'/>";
                break;
            case "中雨":
                str += "<img src='img/weather-icons/cloudy.png'/>";
                break;
            case "大雨":
                str += "<img src='img/weather-icons/Heavy-Rain.png'/>";
                break;
            case "暴雨":
                str += "<img src='img/weather-icons/rainstorm.png'/>";
                break;
            case "大暴雨":
                str += "<img src='img/weather-icons/heavy-rainstorm.png'/>";
                break;
            case "特大暴雨":
                str += "<img src='img/weather-icons/more-heavy-rainstorm.png'/>";
                break;
            case "阵雪":
                str += "<img src='img/weather-icons/Snow-Shower.png'/>";
                break;
            case "小雪":
                str += "<img src='img/weather-icons/Light-Snow.png'/>";
                break;
            case "中雪":
                str += "<img src='img/weather-icons/moderate-Snow.png'/>";
                break;
            case "大雪":
                str += "<img src='img/weather-icons/Heavy-Snow.png'/>";
                break;
            case "暴雪":
                str += "<img src='img/weather-icons/snow-storm.png'/>";
                break;
            case "雾":
                str += "<img src='img/weather-icons/fog.png'/>";
                break;
            case "冻雨":
                str += "<img src='img/weather-icons/freezing-rain.png'/>";
                break;
            case "沙尘暴":
                str += "<img src='img/weather-icons/sandstorm.png'/>";
                break;
            case "小到中雨":
                str += "<img src='img/weather-icons/lightToModerateRain.png'/>";
                break;
            case "中到大雨":
                str += "<img src='img/weather-icons/moderateToHeavyRain.png'/>";
                break;
            case "大到暴雨":
                str += "<img src='img/weather-icons/BigToBurstTheRain.png'/>";
                break;
            case "暴雨到大暴雨":
                str += "<img src='img/weather-icons/cloudy.png'/>";
                break;
            case "大暴雨到特大暴雨":
                str += "<img src='img/weather-icons/HeavyRainToHeavyRain.png'/>";
                break;
            case "小到中雪":
                str += "<img src='img/weather-icons/lightToModerateSnow.png'/>";
                break;
            case "中到大雪":
                str += "<img src='img/weather-icons/moderateToHeavySnow.png'/>";
                break;
            case "大到暴雪":
                str += "<img src='img/weather-icons/BigToBurstSnow.png'/>";
                break;
            case "浮尘":
                str += "<img src='img/weather-icons/Dust.png'/>";
                break;
            case "扬沙":
                str += "<img src='img/weather-icons/raising-sand.png'/>";
                break;
            case "强沙尘暴":
                str += "<img src='img/weather-icons/heavey-sandstorm.png'/>";
                break;
            case "霾":
                str += "<img src='img/weather-icons/haze.png'/>";
                break;
        }
        //console.log("2="+str);

        return str;
    }
    //日期格式化
    Date.prototype.pattern = function(fmt) {
        var o = {
            "M+": this.getMonth() + 1, //月份
            "d+": this.getDate(), //日
            "h+": this.getHours() % 12 == 0 ? 12 : this.getHours() % 12, //小时
            "H+": this.getHours(), //小时
            "m+": this.getMinutes(), //分
            "s+": this.getSeconds(), //秒
            "q+": Math.floor((this.getMonth() + 3) / 3), //季度
            "S": this.getMilliseconds() //毫秒
        };
        var week = {
            "0": "/u65e5",
            "1": "/u4e00",
            "2": "/u4e8c",
            "3": "/u4e09",
            "4": "/u56db",
            "5": "/u4e94",
            "6": "/u516d"
        };
        if (/(y+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
        }
        if (/(E+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468") : "") + week[this.getDay() + ""]);
        }
        for (var k in o) {
            if (new RegExp("(" + k + ")").test(fmt)) {
                fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
            }
        }
        return fmt;
    }
})
