/**
 * Created by zhengfangfang on 2016/7/26.
 */
$(function() {
    var flag = true; //js
    //天气详情页不再请求接口，由上一页返回信息解析，格式如下
    //var weatherDetailInfo = {
    //    "isArriveFlag": false,
    //    "data": {
    //        "startStation": {
    //            "city": "北京",
    //            "today": {
    //                "date": "2016-07-28",
    //                "week": "星期四",
    //                "fengli": "微风级",
    //                "fengxiang": "无持续风向",
    //                "lowtemp": "23℃",
    //                "aqi": "36",
    //                "curTemp": "29℃",
    //                "type": "雷阵雨",
    //                "hightemp": "33℃"
    //            },
    //            "forecast": [{
    //                "date": "2016-07-29",
    //                "week": "星期五",
    //                "fengli": "微风级",
    //                "fengxiang": "无持续风向",
    //                "lowtemp": "25℃",
    //                "type": "多云",
    //                "hightemp": "32℃"
    //            }, {
    //                "date": "2016-07-30",
    //                "week": "星期六",
    //                "fengli": "微风级",
    //                "fengxiang": "无持续风向",
    //                "lowtemp": "25℃",
    //                "type": "阴",
    //                "hightemp": "32℃"
    //            }, {
    //                "date": "2016-07-31",
    //                "week": "星期天",
    //                "fengli": "微风级",
    //                "fengxiang": "无持续风向",
    //                "lowtemp": "26℃",
    //                "type": "晴",
    //                "hightemp": "34℃"
    //            }, {
    //                "date": "2016-08-01",
    //                "week": "星期一",
    //                "fengli": "微风级",
    //                "fengxiang": "无持续风向",
    //                "lowtemp": "26℃",
    //                "type": "晴",
    //                "hightemp": "35℃"
    //            }]
    //        },
    //        "arriveStation": {
    //            "city": "南京",
    //            "today": {
    //                "date": "2016-07-28",
    //                "week": "星期四",
    //                "fengli": "3-4级",
    //                "fengxiang": "西南风",
    //                "lowtemp": "29℃",
    //                "aqi": "82",
    //                "curTemp": "34℃",
    //                "type": "多云",
    //                "hightemp": "38℃"
    //            },
    //            "forecast": [{
    //                "date": "2016-07-29",
    //                "week": "星期五",
    //                "fengli": "3-4级",
    //                "fengxiang": "西南风",
    //                "lowtemp": "29℃",
    //                "type": "多云",
    //                "hightemp": "38℃"
    //            }, {
    //                "date": "2016-07-30",
    //                "week": "星期六",
    //                "fengli": "3-4级",
    //                "fengxiang": "南风",
    //                "lowtemp": "29℃",
    //                "type": "多云",
    //                "hightemp": "37℃"
    //            }, {
    //                "date": "2016-07-31",
    //                "week": "星期天",
    //                "fengli": "3-4级",
    //                "fengxiang": "东南风",
    //                "lowtemp": "27℃",
    //                "type": "多云",
    //                "hightemp": "36℃"
    //            }, {
    //                "date": "2016-08-01",
    //                "week": "星期一",
    //                "fengli": "3-4级",
    //                "fengxiang": "东风",
    //                "lowtemp": "27℃",
    //                "type": "多云",
    //                "hightemp": "35℃"
    //            }]
    //        }
    //    }
    //}
    var weatherDetailInfo = JSON.parse(window.wangfanApp.getWeatherDetailInfo()); //调用客户端方法获得天气详情信息，格式参考如上；
    console.log(weatherDetailInfo); //打印
    console.log(weatherDetailInfo.isArriveFlag);//打印标识
    //数据解析
    var startStation = weatherDetailInfo.data['startStation'];
    console.log(startStation);  //打印起点站
    var arriveStation = weatherDetailInfo.data['arriveStation'];
    console.log(arriveStation); //打印终点站

    function cityWeatherInfo(stationName) {
        var today = stationName.today;
        var todayDate = new Date(today.date);
        var todayDateStr = todayDate.pattern("M月d日");
        //当天天气状况展示
        $(".today-info").empty();
        var todayStr = "";
        todayStr += "<div class='today'>";
        todayStr += judgeWeatherType(today.type, todayStr);
        todayStr += "<p><span>" + today['type'] + "</span><span>" + today['curTemp'] + "</span></p>";
        todayStr += "<p><span>" + today['lowtemp'] + "</span>/<span>" + today['hightemp'] + "</span></p>";
        todayStr += "<p><span>" + today['week'] + "</span> <span>" + todayDateStr + "</span></p>";
        todayStr += "</div>";
        $(".today-info").append(todayStr);
        var forecast = stationName.forecast;
        $(".forecast-ul").empty();
        var li = "";
        for (var i = 0; i < 3; i++) {
            var item = forecast[i];
            li += "<li>";
            li += "<p>" + item['week'] + "</p>";
            li = judgeWeatherType(item.type, li);
            li += "<p><span>" + item['lowtemp'] + "</span>/<span>" + item['hightemp'] + "</span></p>";
            li += "<p>" + item['type'] + "</p>";
            li += "</li>";
        }
        $(".forecast-ul").append(li);
    }
    //点击起始站进来的天气
    $(".city-start").empty();
    var cityTab1 = "";
    cityTab1 +="<div class='city-tab-start'>";
    cityTab1 +="<div class='start-city clearfix'><span>"+weatherDetailInfo.data['arriveStation'].city+"<i class='arrow'></i></span></div>";
    cityTab1 +="<div class='arrive-box'>";
    cityTab1 +="<div class='arrive-city'>出发城市 <span>"+weatherDetailInfo.data['startStation'].city+"</span></div>";
    cityTab1 +="</div>";
    cityTab1 +="</div>";
    $(".city-start").append(cityTab1);
    //点击终点站进来的天气
    $(".city-arrive").empty();
    var cityTab2 = "";
    cityTab2 +="<div class='city-tab-arrive'>";
    cityTab2 +="<div class='start-city clearfix'><span>"+weatherDetailInfo.data['startStation'].city+"<i class='arrow'></i></span></div>";
    cityTab2 +="<div class='arrive-box'>";
    cityTab2 +="<div class='arrive-city'>到达城市 <span>"+weatherDetailInfo.data['arriveStation'].city+"</span></div>";
    cityTab2 +="</div>";
    cityTab2 +="</div>";
    $(".city-arrive").append(cityTab2);
    if(weatherDetailInfo.isArriveFlag){
        $(".city-start").css("display","block");
        cityWeatherInfo(arriveStation);
        $(".start-city").click(function(){
            $(".arrow").css({
                "background":"url(./img/up-arrow.png) no-repeat 5px center",
                "background-size":"16px 9px"
            })
            $(".arrive-city").css("display","block");
        });
        $(".arrive-city").click(function(){
            if(flag){
                $(".arrow").css({
                    "background":"url(./img/down-arrow.png) no-repeat 5px center",
                    "background-size":"16px 9px"
                })
                $(".arrive-city").css("display","none");
                $(".city-start").css("display","none");
                $(".city-arrive").css("display","block");
                cityWeatherInfo(startStation);
            }else{
                $(".arrow").css({
                    "background":"url(./img/down-arrow.png) no-repeat 5px center",
                    "background-size":"16px 9px"
                })
                $(".arrive-city").css("display","none");
                $(".city-start").css("display","block");
                $(".city-arrive").css("display","none");
                cityWeatherInfo(arriveStation);
            }
            flag = !flag;
        })

    }else{
        $(".city-arrive").css("display","block");
        cityWeatherInfo(startStation);
        $(".start-city").click(function(){
            $(".arrow").css({
                "background":"url(./img/up-arrow.png) no-repeat 5px center",
                "background-size":"16px 9px"
            })
            $(".arrive-city").css("display","block");
        });
        $(".arrive-city").click(function(){
            if(flag){
                $(".arrow").css({
                    "background":"url(./img/down-arrow.png) no-repeat 5px center",
                    "background-size":"16px 9px"
                })
                $(".arrive-city").css("display","none");
                $(".city-start").css("display","block");
                $(".city-arrive").css("display","none");
                cityWeatherInfo(arriveStation);
            }else{
                $(".arrow").css({
                    "background":"url(./img/down-arrow.png) no-repeat 5px center",
                    "background-size":"16px 9px"
                })
                $(".arrive-city").css("display","none");
                $(".city-start").css("display","none");
                $(".city-arrive").css("display","block");
                cityWeatherInfo(startStation);
            }
            flag = !flag;
        })
    }

})

function judgeWeatherType(type, str) {
    //console.log("1="+str);
    switch (type) {
        case "晴":
            str += "<img src='img/weather-icons/sunny.png'/>";
            break;
        case "多云":
            str += "<img src='img/weather-icons/cloudy.png'/>";
            break;
        case "阴":
            str += "<img src='img/weather-icons/overcast.png'/>";
            break;
        case "阵雨":
            str += "<img src='img/weather-icons/Rain-Shower.png'/>";
            break;
        case "雷阵雨":
            str += "<img src='img/weather-icons/Storms-Shower.png'/>";
            break;
        case "雷阵雨伴有冰雹":
            str += "<img src='img/weather-icons/Storms-Shower-Mix.png'/>";
            break;
        case "雨夹雪":
            str += "<img src='img/weather-icons/Wintry-Mix.png'/>";
            break;
        case "小雨":
            str += "<img src='img/weather-icons/Light-Rain.png'/>";
            break;
        case "中雨":
            str += "<img src='img/weather-icons/cloudy.png'/>";
            break;
        case "大雨":
            str += "<img src='img/weather-icons/Heavy-Rain.png'/>";
            break;
        case "暴雨":
            str += "<img src='img/weather-icons/rainstorm.png'/>";
            break;
        case "大暴雨":
            str += "<img src='img/weather-icons/heavy-rainstorm.png'/>";
            break;
        case "特大暴雨":
            str += "<img src='img/weather-icons/more-heavy-rainstorm.png'/>";
            break;
        case "阵雪":
            str += "<img src='img/weather-icons/Snow-Shower.png'/>";
            break;
        case "小雪":
            str += "<img src='img/weather-icons/Light-Snow.png'/>";
            break;
        case "中雪":
            str += "<img src='img/weather-icons/moderate-Snow.png'/>";
            break;
        case "大雪":
            str += "<img src='img/weather-icons/Heavy-Snow.png'/>";
            break;
        case "暴雪":
            str += "<img src='img/weather-icons/snow-storm.png'/>";
            break;
        case "雾":
            str += "<img src='img/weather-icons/fog.png'/>";
            break;
        case "冻雨":
            str += "<img src='img/weather-icons/freezing-rain.png'/>";
            break;
        case "沙尘暴":
            str += "<img src='img/weather-icons/sandstorm.png'/>";
            break;
        case "小到中雨":
            str += "<img src='img/weather-icons/lightToModerateRain.png'/>";
            break;
        case "中到大雨":
            str += "<img src='img/weather-icons/moderateToHeavyRain.png'/>";
            break;
        case "大到暴雨":
            str += "<img src='img/weather-icons/BigToBurstTheRain.png'/>";
            break;
        case "暴雨到大暴雨":
            str += "<img src='img/weather-icons/cloudy.png'/>";
            break;
        case "大暴雨到特大暴雨":
            str += "<img src='img/weather-icons/HeavyRainToHeavyRain.png'/>";
            break;
        case "小到中雪":
            str += "<img src='img/weather-icons/lightToModerateSnow.png'/>";
            break;
        case "中到大雪":
            str += "<img src='img/weather-icons/moderateToHeavySnow.png'/>";
            break;
        case "大到暴雪":
            str += "<img src='img/weather-icons/BigToBurstSnow.png'/>";
            break;
        case "浮尘":
            str += "<img src='img/weather-icons/Dust.png'/>";
            break;
        case "扬沙":
            str += "<img src='img/weather-icons/raising-sand.png'/>";
            break;
        case "强沙尘暴":
            str += "<img src='img/weather-icons/heavey-sandstorm.png'/>";
            break;
        case "霾":
            str += "<img src='img/weather-icons/haze.png'/>";
            break;
    }
    //console.log("2="+str);
    return str;
}
Date.prototype.pattern = function(fmt) {
    var o = {
        "M+": this.getMonth() + 1, //月份
        "d+": this.getDate(), //日
        "h+": this.getHours() % 12 == 0 ? 12 : this.getHours() % 12, //小时
        "H+": this.getHours(), //小时
        "m+": this.getMinutes(), //分
        "s+": this.getSeconds(), //秒
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度
        "S": this.getMilliseconds() //毫秒
    };
    var week = {
        "0": "/u65e5",
        "1": "/u4e00",
        "2": "/u4e8c",
        "3": "/u4e09",
        "4": "/u56db",
        "5": "/u4e94",
        "6": "/u516d"
    };
    if (/(y+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    }
    if (/(E+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468") : "") + week[this.getDay() + ""]);
    }
    for (var k in o) {
        if (new RegExp("(" + k + ")").test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
        }
    }
    return fmt;
}
